Page MenuHomePhabricator

Fix Bug 20400
ClosedPublic

Authored by chaoren on Feb 25 2015, 10:35 PM.

Details

Summary

http://llvm.org/bugs/show_bug.cgi?id=20400

The default triple of i686-pc-linux-gnu for 32 bit linux targets is compatible
but not necessarily identical to the inferior binaries.

Applying Azat Khuzhin's solution of using ArchSpec::IsCompatibleMatch() instead
of ArchSpec::IsExactMatch() when comparing ObjectFile and Modules architecture.

Diff Detail

Repository
rL LLVM

Event Timeline

chaoren retitled this revision from to Fix Bug 20400.
chaoren updated this object.
chaoren edited the test plan for this revision. (Show Details)
chaoren added a reviewer: vharron.
chaoren added a subscriber: Unknown Object (MLST).
azat added a subscriber: azat.Feb 26 2015, 2:10 AM
This revision was automatically updated to reflect the committed changes.

Is it possible to write a test for this to make sure it does not regress? Thanks

I don't think that would be necessary, since every existing test that
launches an inferior would be broken by a regression.

clayborg edited edge metadata.Feb 27 2015, 9:43 AM

Looks fine.